MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030093Open CASCADE[OCCT] OCCT:Testspublic2018-08-29 11:532018-09-09 13:05
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030093: Test system - Incorrect parsing of the regular expression
DescriptionWhen reporting the failed test case in Summary report, the script fails to generate good report for particular test, likely due to its name containing a hyphen: "plate unfolding_2017_06 HA-4331b". Please look on the attached image for additional details.
Steps To ReproduceCreate FAILED test case with name containing a hyphen (e.g. HA-4331b).
testgrid grid group HA-4331b
check Summary report
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon Parsing.png (9,915 bytes) 2018-08-29 11:53
png file icon summary_ok_and_failed.png (8,542 bytes) 2018-09-03 12:08

- Relationships

-  Notes
(0078924)
git (administrator)
2018-09-03 11:54

Branch CR30093 has been created by apn.

SHA-1: 19500395db60b4134dea5f34a7ee831e8f9ea72d


Detailed log of new commits:

Author: apn
Date: Mon Sep 3 11:52:00 2018 +0300

    0030093: Test system - Incorrect parsing of the regular expression
    
    Add "\-" to regular expression (which contained only literal, numeric and underscore character).
(0078928)
apn (administrator)
2018-09-03 12:02

Dear ski, could you please review CR30093.
(0078930)
ski (developer)
2018-09-03 12:24

Reviewed. Please proceed.
(0079046)
git (administrator)
2018-09-09 13:05

Branch CR30093 has been deleted by inv.

SHA-1: 19500395db60b4134dea5f34a7ee831e8f9ea72d

- Related Changesets
occt: master 93808a4a
Timestamp: 2018-09-03 08:52:00
Author: apn
Committer: bugmaster
Details ] Diff ]
0030093: Test system - Incorrect parsing of the regular expression

Add "\-" to regular expression (which contained only literal, numeric and underscore character).
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-08-29 11:53 aml New Issue
2018-08-29 11:53 aml Assigned To => apn
2018-08-29 11:53 aml File Added: Parsing.png
2018-08-29 15:05 abv Summary Incorrect parsing of the regular expression => Test system - Incorrect parsing of the regular expression
2018-08-29 15:05 abv Description Updated View Revisions
2018-09-03 11:54 git Note Added: 0078924
2018-09-03 12:02 apn Test case number => Not needed
2018-09-03 12:02 apn Note Added: 0078928
2018-09-03 12:02 apn Assigned To apn => ski
2018-09-03 12:02 apn Status new => resolved
2018-09-03 12:02 apn Steps to Reproduce Updated View Revisions
2018-09-03 12:08 apn File Added: summary_ok_and_failed.png
2018-09-03 12:24 ski Note Added: 0078930
2018-09-03 12:24 ski Assigned To ski => bugmaster
2018-09-03 12:24 ski Status resolved => reviewed
2018-09-03 15:36 bugmaster Status reviewed => tested
2018-09-09 11:52 bugmaster Changeset attached => occt master 93808a4a
2018-09-09 11:52 bugmaster Status tested => verified
2018-09-09 11:52 bugmaster Resolution open => fixed
2018-09-09 13:05 git Note Added: 0079046


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker